# Introduction

The complete onboarding process implies producing a VNF Package that will be part of the OSM catalogue for its inclusion in a Network Service.

The onboarded VNF should aim to fulfill the lifecycle stages it requires to function properly, which then, the NFV MANO layer should be able to automate. Hence, the resulting package, should include all the requirements, instructions and elements to achieve these lifecycle stages, which are: basic instantiation (a.k.a. "Day-0"), service initialization (a.k.a. "Day-1") and runtime operations (a.k.a. "Day-2").

![](assets/vnfonboarding.gif)

More information on the delimitation of these stages can be found in the [*OSM Scope and Functionality*](http://osm-download.etsi.org/ftp/Documentation/201902-osm-scope-white-paper/#!02-osm-scope-and-functionality.md) document.

This document provides guidelines for building the VNF Package to achieve each lifecycle stage successfully and is structured as follows:

1. Onboarding Requirements
2. Day 0: VNF Instantiation & management setup
3. Day 1: VNF Services initialization
4. Day 2: VNF Runtime operations
5. Known issues
6. VNF Onboarding Walkthrough
